Skip to main content
GET
Payment Method

Endpoint Overview

GET https://api.unibee.dev/merchant/payment/method_get The method of payment gateway

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Query parameters


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

gatewayId
integer<int64>
required

The unique id of gateway

userId
integer<int64>
required

The customer's unique id

paymentMethodId
string<string>
required

The unique id of payment method

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>